-- Template for LuaItem

-- Global variables:
-- 	this 		- item itself

function OnInitialize()
end

function OnAdded( parent )
end

function OnRemoved( parent )
end

function OnDecay()
	return true
end

function OnDoubleClick( from ) ---Mobile from
end

function OnDragDrop( from, dropped ) ---Mobile from, Item dropped
	return true
end

function OnDragLift( from ) --Mobile from
	return true
end

function OnDroppedInto( from, target, p ) --Mobile from, Server.Items.Container target, Point3D p
	return true
end

function OnDroppedOnto( from, target ) --Mobile from, Item target
	return true
end

function OnDroppedToMobile( from, target ) --Mobile from, Mobile target
	return true
end

function OnDroppedToWorld( from, p ) --Mobile from, Point3D p
	return true
end

function OnEquip( from ) --Mobile from
	return true
end

function OnItemUsed( from, item ) --Mobile from, Item item
end

function OnLocationChange( oldLocation ) --Point3D oldLocation
end

function OnMapChange()
end

function OnMovement( m, oldLocation ) --Mobile m, Point3D oldLocation
end

function OnMoveOff( m ) -- Mobile m
	return false
end

function OnMoveOver( m ) --Mobile m
	return false
end

function OnParentDeath( parent ) --Mobile parent
	--[[
	DeathMoveResult
	/// <summary>
	/// The item should be placed onto the corpse.
	/// </summary>
	MoveToCorpse = 0
	/// <summary>
	/// The item should remain equiped.
	/// </summary>
	RemainEquiped = 1
	/// <summary>
	/// The item should be placed into the owners backpack.
	/// </summary>
	MoveToBackpack = 2
	--]]
	return 0
end

function OnParentDeleted( parent ) --object parent
end

function OnSecureTrade( from, to, newOwner, accepted ) --Mobile from, Mobile to, Mobile newOwner, bool accepted
end

function OnSingleClick( from ) --Mobile from
end

function OnSingleClickContained( from, item ) --Mobile from, Item item
end

function OnSnoop( from ) --Mobile from
end

function OnSpeech( e ) --SpeechEventArgs e
end

function OnSubItemAdded( item ) --Item item
end

function OnSubItemRemoved( item ) --Item item
end
